Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class SynchronizedOnBoxedPrimitiveRule

- groovy.org.codenarc.rule.concurrency.SynchronizedOnBoxedPrimitiveRule

- The code synchronizes on a boxed primitive constant, such as an Integer. Since Integer objects can be cached and shared, this code could be synchronizing on the same object as other, unrelated code, leading to unresponsiveness and possible deadlock

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority